<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.order.mapper.OrderClothCouponRelationMapper">

    <resultMap type="OrderClothCouponRelation" id="OrderClothCouponRelationResult">
        <result property="id" column="id"/>
        <result property="couponItemId" column="coupon_item_id"/>
        <result property="orderId" column="order_id"/>
        <result property="orderNo" column="order_no"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectOrderClothCouponRelationVo">
        select id, coupon_item_id, order_id, order_no, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from order_cloth_coupon_relation
    </sql>

    <select id="selectOrderClothCouponRelationList" parameterType="OrderClothCouponRelation" resultMap="OrderClothCouponRelationResult">
        <include refid="selectOrderClothCouponRelationVo"/>
        <where>
            <if test="couponItemId != null ">
                and coupon_item_id = #{couponItemId}
            </if>
            <if test="orderId != null ">
                and order_id = #{orderId}
            </if>
            <if test="orderNo != null  and orderNo != ''">
                and order_no = #{orderNo}
            </if>
        </where>
    </select>

    <select id="selectOrderClothCouponRelationById" parameterType="Long"
            resultMap="OrderClothCouponRelationResult">
        <include refid="selectOrderClothCouponRelationVo"/>
        where id = #{id}
    </select>

    <insert id="insertOrderClothCouponRelation" parameterType="OrderClothCouponRelation" useGeneratedKeys="true"
            keyProperty="id">
        insert into order_cloth_coupon_relation
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="couponItemId != null">coupon_item_id,
            </if>
            <if test="orderId != null">order_id,
            </if>
            <if test="orderNo != null">order_no,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="couponItemId != null">#{couponItemId},
            </if>
            <if test="orderId != null">#{orderId},
            </if>
            <if test="orderNo != null">#{orderNo},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateOrderClothCouponRelation" parameterType="OrderClothCouponRelation">
        update order_cloth_coupon_relation
        <trim prefix="SET" suffixOverrides=",">
            <if test="couponItemId != null">coupon_item_id =
                #{couponItemId},
            </if>
            <if test="orderId != null">order_id =
                #{orderId},
            </if>
            <if test="orderNo != null">order_no =
                #{orderNo},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteOrderClothCouponRelationById" parameterType="Long">
            delete from order_cloth_coupon_relation where id = #{id}
        </delete>

    <delete id="deleteOrderClothCouponRelationByIds" parameterType="String">
        delete from order_cloth_coupon_relation where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>